LANGUAGE_TAGS = {'AAQ ': {'iso639': ['aaq'], 'name': 'Eastern Abenaki'},
 'ABA ': {'iso639': ['abq'], 'name': 'Abaza'},
 'ABK ': {'iso639': ['abk'], 'name': 'Abkhazian'},
 'ACH ': {'iso639': ['ach'], 'name': 'Acholi'},
 'ACR ': {'iso639': ['acr'], 'name': 'Achi'},
 'ACY ': {'iso639': ['acy'], 'name': 'Cypriot Arabic'},
 'ADY ': {'iso639': ['ady'], 'name': 'Adyghe'},
 'AFK ': {'iso639': ['afr'], 'name': 'Afrikaans'},
 'AFR ': {'iso639': ['aar'], 'name': 'Afar'},
 'AGW ': {'iso639': ['ahg'], 'name': 'Agaw'},
 'AIO ': {'iso639': ['aio'], 'name': 'Aiton'},
 'AKA ': {'iso639': ['aka', 'fat', 'twi'], 'name': 'Akan'},
 'AKB ': {'iso639': ['akb'], 'name': 'Batak Angkola'},
 'ALS ': {'iso639': ['gsw'], 'name': 'Alsatian'},
 'ALT ': {'iso639': ['atv', 'alt'], 'name': 'Altai'},
 'AMH ': {'iso639': ['amh'], 'name': 'Amharic'},
 'ANG ': {'iso639': ['ang'], 'name': 'Anglo-Saxon'},
 'APPH': {'iso639': ['Cf. BCP 47 variant subtag “fonnapa” (see '
                     'https://www.iana.org/assignments/lang-subtags-templates/fonnapa.txt)'],
          'name': 'Phonetic transcription—Americanist conventions'},
 'ARA ': {'iso639': ['ara'], 'name': 'Arabic'},
 'ARG ': {'iso639': ['arg'], 'name': 'Aragonese'},
 'ARI ': {'iso639': ['aiw'], 'name': 'Aari'},
 'ARK ': {'iso639': ['mhv', 'rmz', 'rki'], 'name': 'Rakhine'},
 'ASM ': {'iso639': ['asm'], 'name': 'Assamese'},
 'AST ': {'iso639': ['ast'], 'name': 'Asturian'},
 'ATH ': {'iso639': ['aht',
                     'apa',
                     'apk',
                     'apj',
                     'apl',
                     'apm',
                     'apw',
                     'ath',
                     'bea',
                     'sek',
                     'bcr',
                     'caf',
                     'chp',
                     'clc',
                     'coq',
                     'crx',
                     'ctc',
                     'den',
                     'dgr',
                     'gce',
                     'gwi',
                     'haa',
                     'hoi',
                     'hup',
                     'ing',
                     'kkz',
                     'koy',
                     'ktw',
                     'kuu',
                     'mvb',
                     'nav',
                     'qwt',
                     'scs',
                     'srs',
                     'taa',
                     'tau',
                     'tcb',
                     'tce',
                     'tfn',
                     'tgx',
                     'tht',
                     'tol',
                     'ttm',
                     'tuu',
                     'txc',
                     'wlk',
                     'xup',
                     'xsl'],
          'name': 'Athapaskan languages'},
 'ATS ': {'iso639': ['ats'], 'name': 'Gros Ventre (Atsina)'},
 'AVN ': {'iso639': ['avn'], 'name': 'Avatime'},
 'AVR ': {'iso639': ['ava'], 'name': 'Avar'},
 'AWA ': {'iso639': ['awa'], 'name': 'Awadhi'},
 'AYM ': {'iso639': ['aym'], 'name': 'Aymara'},
 'AZB ': {'iso639': ['azb'], 'name': 'Torki'},
 'AZE ': {'iso639': ['aze'], 'name': 'Azerbaijani'},
 'BAD ': {'iso639': ['bfq'], 'name': 'Badaga'},
 'BAD0': {'iso639': ['bad',
                     'bbp',
                     'bfl',
                     'bjo',
                     'bpd',
                     'bqk',
                     'gox',
                     'kuw',
                     'liy',
                     'lna',
                     'lnl',
                     'mnh',
                     'nue',
                     'nuu',
                     'tor',
                     'yaj',
                     'zmz'],
          'name': 'Banda'},
 'BAG ': {'iso639': ['bfy'], 'name': 'Baghelkhandi'},
 'BAL ': {'iso639': ['krc'], 'name': 'Balkar'},
 'BAN ': {'iso639': ['ban'], 'name': 'Balinese'},
 'BAR ': {'iso639': ['bar'], 'name': 'Bavarian'},
 'BAU ': {'iso639': ['bci'], 'name': 'Baulé'},
 'BBC ': {'iso639': ['bbc'], 'name': 'Batak Toba'},
 'BBR ': {'iso639': ['auj',
                     'ber',
                     'cnu',
                     'gha',
                     'gho',
                     'grr',
                     'jbe',
                     'jbn',
                     'kab',
                     'mzb',
                     'oua',
                     'rif',
                     'sds',
                     'shi',
                     'shy',
                     'siz',
                     'sjs',
                     'swn',
                     'taq',
                     'tez',
                     'thv',
                     'thz',
                     'tia',
                     'tjo',
                     'tmh',
                     'ttq',
                     'tzm',
                     'zen',
                     'zgh'],
          'name': 'Berber'},
 'BCH ': {'iso639': ['bcq'], 'name': 'Bench'},
 'BCR ': {'iso639': [], 'name': 'Bible Cree'},
 'BDC ': {'iso639': ['bdc'], 'name': 'Emberá-Baudó'},
 'BDY ': {'iso639': ['bdy'], 'name': 'Bandjalang'},
 'BEL ': {'iso639': ['bel'], 'name': 'Belarusian'},
 'BEM ': {'iso639': ['bem'], 'name': 'Bemba'},
 'BEN ': {'iso639': ['ben'], 'name': 'Bangla'},
 'BGC ': {'iso639': ['bgc'], 'name': 'Haryanvi'},
 'BGQ ': {'iso639': ['bgq'], 'name': 'Bagri'},
 'BGR ': {'iso639': ['bul'], 'name': 'Bulgarian'},
 'BHI ': {'iso639': ['bhi', 'bhb'], 'name': 'Bhili'},
 'BHO ': {'iso639': ['bho'], 'name': 'Bhojpuri'},
 'BIK ': {'iso639': ['bik',
                     'bhk',
                     'bcl',
                     'bto',
                     'cts',
                     'bln',
                     'fbl',
                     'lbl',
                     'rbl',
                     'ubl'],
          'name': 'Bikol'},
 'BIL ': {'iso639': ['byn'], 'name': 'Bilen'},
 'BIS ': {'iso639': ['bis'], 'name': 'Bislama'},
 'BJJ ': {'iso639': ['bjj'], 'name': 'Kanauji'},
 'BKF ': {'iso639': ['bla'], 'name': 'Blackfoot'},
 'BLI ': {'iso639': ['bal'], 'name': 'Baluchi'},
 'BLK ': {'iso639': ['blk'], 'name': 'Pa’o Karen'},
 'BLN ': {'iso639': ['bjt', 'ble'], 'name': 'Balante'},
 'BLT ': {'iso639': ['bft'], 'name': 'Balti'},
 'BMB ': {'iso639': ['bam'], 'name': 'Bambara (Bamanankan)'},
 'BML ': {'iso639': ['bai',
                     'bbj',
                     'bko',
                     'byv',
                     'fmp',
                     'jgo',
                     'nla',
                     'nnh',
                     'nnz',
                     'nwe',
                     'xmg',
                     'ybb'],
          'name': 'Bamileke'},
 'BOS ': {'iso639': ['bos'], 'name': 'Bosnian'},
 'BPY ': {'iso639': ['bpy'], 'name': 'Bishnupriya Manipuri'},
 'BRE ': {'iso639': ['bre'], 'name': 'Breton'},
 'BRH ': {'iso639': ['brh'], 'name': 'Brahui'},
 'BRI ': {'iso639': ['bra'], 'name': 'Braj Bhasha'},
 'BRM ': {'iso639': ['mya'], 'name': 'Burmese'},
 'BRX ': {'iso639': ['brx'], 'name': 'Bodo'},
 'BSH ': {'iso639': ['bak'], 'name': 'Bashkir'},
 'BSK ': {'iso639': ['bsk'], 'name': 'Burushaski'},
 'BTD ': {'iso639': ['btd'], 'name': 'Batak Dairi (Pakpak)'},
 'BTI ': {'iso639': ['btb', 'beb', 'bum', 'bxp', 'eto', 'ewo', 'mct'],
          'name': 'Beti'},
 'BTK ': {'iso639': ['akb', 'bbc', 'btd', 'btk', 'btm', 'bts', 'btx', 'btz'],
          'name': 'Batak languages'},
 'BTM ': {'iso639': ['btm'], 'name': 'Batak Mandailing'},
 'BTS ': {'iso639': ['bts'], 'name': 'Batak Simalungun'},
 'BTX ': {'iso639': ['btx'], 'name': 'Batak Karo'},
 'BTZ ': {'iso639': ['btz'], 'name': 'Batak Alas-Kluet'},
 'BUG ': {'iso639': ['bug'], 'name': 'Bugis'},
 'BYV ': {'iso639': ['byv'], 'name': 'Medumba'},
 'CAK ': {'iso639': ['cak'], 'name': 'Kaqchikel'},
 'CAT ': {'iso639': ['cat'], 'name': 'Catalan'},
 'CAY ': {'iso639': ['cay'], 'name': 'Cayuga'},
 'CBG ': {'iso639': ['cbg'], 'name': 'Chimila'},
 'CBK ': {'iso639': ['cbk'], 'name': 'Zamboanga Chavacano'},
 'CCHN': {'iso639': ['cco',
                     'chj',
                     'chq',
                     'chz',
                     'cle',
                     'cnl',
                     'cnt',
                     'cpa',
                     'csa',
                     'cso',
                     'cte',
                     'ctl',
                     'cuc',
                     'cvn'],
          'name': 'Chinantec'},
 'CEB ': {'iso639': ['ceb'], 'name': 'Cebuano'},
 'CGG ': {'iso639': ['cgg'], 'name': 'Chiga'},
 'CHA ': {'iso639': ['cha'], 'name': 'Chamorro'},
 'CHE ': {'iso639': ['che'], 'name': 'Chechen'},
 'CHG ': {'iso639': ['sgw'], 'name': 'Chaha Gurage'},
 'CHH ': {'iso639': ['hne'], 'name': 'Chattisgarhi'},
 'CHI ': {'iso639': ['nya'], 'name': 'Chichewa (Chewa, Nyanja)'},
 'CHK ': {'iso639': ['ckt'], 'name': 'Chukchi'},
 'CHK0': {'iso639': ['chk'], 'name': 'Chuukese'},
 'CHO ': {'iso639': ['cho'], 'name': 'Choctaw'},
 'CHP ': {'iso639': ['chp'], 'name': 'Chipewyan'},
 'CHR ': {'iso639': ['chr'], 'name': 'Cherokee'},
 'CHU ': {'iso639': ['chv'], 'name': 'Chuvash'},
 'CHY ': {'iso639': ['chy'], 'name': 'Cheyenne'},
 'CJA ': {'iso639': ['cja'], 'name': 'Western Cham'},
 'CJM ': {'iso639': ['cjm'], 'name': 'Eastern Cham'},
 'CMI ': {'iso639': ['cmi'], 'name': 'Emberá-Chamí'},
 'CMR ': {'iso639': ['swb', 'wlc', 'wni', 'zdj'], 'name': 'Comorian'},
 'COO ': {'iso639': ['coo'], 'name': 'Comox'},
 'COP ': {'iso639': ['cop'], 'name': 'Coptic'},
 'COR ': {'iso639': ['cor'], 'name': 'Cornish'},
 'COS ': {'iso639': ['cos'], 'name': 'Corsican'},
 'CPP ': {'iso639': ['abs',
                     'acf',
                     'afs',
                     'aig',
                     'aoa',
                     'bah',
                     'bew',
                     'bis',
                     'bjs',
                     'bpl',
                     'bpq',
                     'brc',
                     'bxo',
                     'bzj',
                     'bzk',
                     'cbk',
                     'ccl',
                     'ccm',
                     'chn',
                     'cks',
                     'cpe',
                     'cpf',
                     'cpi',
                     'cpp',
                     'cri',
                     'crp',
                     'crs',
                     'dcr',
                     'dep',
                     'djk',
                     'fab',
                     'fng',
                     'fpe',
                     'gac',
                     'gcf',
                     'gcl',
                     'gcr',
                     'gib',
                     'goq',
                     'gpe',
                     'gul',
                     'gyn',
                     'hat',
                     'hca',
                     'hmo',
                     'hwc',
                     'icr',
                     'idb',
                     'ihb',
                     'jam',
                     'jvd',
                     'kcn',
                     'kea',
                     'kmv',
                     'kri',
                     'kww',
                     'lir',
                     'lou',
                     'lrt',
                     'max',
                     'mbf',
                     'mcm',
                     'mfe',
                     'mfp',
                     'mkn',
                     'mod',
                     'msi',
                     'mud',
                     'mzs',
                     'nag',
                     'nef',
                     'ngm',
                     'njt',
                     'onx',
                     'oor',
                     'pap',
                     'pcm',
                     'pea',
                     'pey',
                     'pga',
                     'pih',
                     'pis',
                     'pln',
                     'pml',
                     'pmy',
                     'pov',
                     'pre',
                     'rcf',
                     'rop',
                     'scf',
                     'sci',
                     'skw',
                     'srm',
                     'srn',
                     'sta',
                     'svc',
                     'tas',
                     'tch',
                     'tcs',
                     'tgh',
                     'tmg',
                     'tpi',
                     'trf',
                     'tvy',
                     'uln',
                     'vic',
                     'vkp',
                     'wes',
                     'xmm',
                     'ycr'],
          'name': 'Creoles'},
 'CRE ': {'iso639': ['cre'], 'name': 'Cree'},
 'CRR ': {'iso639': ['crx', 'caf'], 'name': 'Carrier'},
 'CRT ': {'iso639': ['crh'], 'name': 'Crimean Tatar'},
 'CSB ': {'iso639': ['csb'], 'name': 'Kashubian'},
 'CSL ': {'iso639': ['chu'], 'name': 'Church Slavonic'},
 'CSY ': {'iso639': ['ces'], 'name': 'Czech'},
 'CTG ': {'iso639': ['ctg'], 'name': 'Chittagonian'},
 'CTO ': {'iso639': ['cto'], 'name': 'Emberá-Catío'},
 'CTT ': {'iso639': ['ctt'], 'name': 'Wayanad Chetti'},
 'CUK ': {'iso639': ['cuk'], 'name': 'San Blas Kuna'},
 'DAG ': {'iso639': ['dag'], 'name': 'Dagbani'},
 'DAN ': {'iso639': ['dan'], 'name': 'Danish'},
 'DAR ': {'iso639': ['dar'], 'name': 'Dargwa'},
 'DAX ': {'iso639': ['dax'], 'name': 'Dayi'},
 'DCR ': {'iso639': ['cwd'], 'name': 'Woods Cree'},
 'DEU ': {'iso639': ['deu'], 'name': 'German'},
 'DGO ': {'iso639': ['dgo'], 'name': 'Dogri (individual language)'},
 'DGR ': {'iso639': ['doi'], 'name': 'Dogri (macrolanguage)'},
 'DHG ': {'iso639': ['dhg'], 'name': 'Dhangu'},
 'DHV ': {'iso639': ['div'], 'name': 'Divehi (Dhivehi, Maldivian)'},
 'DIQ ': {'iso639': ['diq'], 'name': 'Dimli'},
 'DIV ': {'iso639': ['div'], 'name': 'Divehi (Dhivehi, Maldivian)'},
 'DJR ': {'iso639': ['dje'], 'name': 'Zarma'},
 'DJR0': {'iso639': ['djr'], 'name': 'Djambarrpuyngu'},
 'DNG ': {'iso639': ['ada'], 'name': 'Dangme'},
 'DNJ ': {'iso639': ['dnj'], 'name': 'Dan'},
 'DNK ': {'iso639': ['din'], 'name': 'Dinka'},
 'DRI ': {'iso639': ['prs'], 'name': 'Dari'},
 'DUJ ': {'iso639': ['duj', 'dwu', 'dwy'], 'name': 'Dhuwal'},
 'DUN ': {'iso639': ['dng'], 'name': 'Dungan'},
 'DZN ': {'iso639': ['dzo'], 'name': 'Dzongkha'},
 'EBI ': {'iso639': ['igb'], 'name': 'Ebira'},
 'ECR ': {'iso639': ['crj', 'crl'], 'name': 'Eastern Cree'},
 'EDO ': {'iso639': ['bin'], 'name': 'Edo'},
 'EFI ': {'iso639': ['efi'], 'name': 'Efik'},
 'ELL ': {'iso639': ['ell'], 'name': 'Greek'},
 'EMK ': {'iso639': ['emk'], 'name': 'Eastern Maninkakan'},
 'EMP ': {'iso639': ['emp'], 'name': 'Northern Emberá'},
 'ENG ': {'iso639': ['eng'], 'name': 'English'},
 'ERZ ': {'iso639': ['myv'], 'name': 'Erzya'},
 'ESP ': {'iso639': ['spa'], 'name': 'Spanish'},
 'ESU ': {'iso639': ['esu'], 'name': 'Central Yupik'},
 'ETI ': {'iso639': ['est'], 'name': 'Estonian'},
 'EUQ ': {'iso639': ['eus'], 'name': 'Basque'},
 'EVK ': {'iso639': ['evn'], 'name': 'Evenki'},
 'EVN ': {'iso639': ['eve'], 'name': 'Even'},
 'EWE ': {'iso639': ['ewe'], 'name': 'Ewe'},
 'FAN ': {'iso639': ['acf'], 'name': 'French Antillean'},
 'FAN0': {'iso639': ['fan'], 'name': 'Fang'},
 'FAR ': {'iso639': ['fas'], 'name': 'Persian'},
 'FAT ': {'iso639': ['fat'], 'name': 'Fanti'},
 'FIN ': {'iso639': ['fin'], 'name': 'Finnish'},
 'FJI ': {'iso639': ['fij'], 'name': 'Fijian'},
 'FLE ': {'iso639': ['vls'], 'name': 'Dutch (Flemish)'},
 'FMP ': {'iso639': ['fmp'], 'name': 'Fe’fe’'},
 'FNE ': {'iso639': ['enf'], 'name': 'Forest Enets'},
 'FON ': {'iso639': ['fon'], 'name': 'Fon'},
 'FOS ': {'iso639': ['fao'], 'name': 'Faroese'},
 'FRA ': {'iso639': ['fra'], 'name': 'French'},
 'FRC ': {'iso639': ['frc'], 'name': 'Cajun French'},
 'FRI ': {'iso639': ['fry'], 'name': 'Frisian'},
 'FRL ': {'iso639': ['fur'], 'name': 'Friulian'},
 'FRP ': {'iso639': ['frp'], 'name': 'Arpitan'},
 'FTA ': {'iso639': ['fuf'], 'name': 'Futa'},
 'FUL ': {'iso639': ['ful'], 'name': 'Fulah'},
 'FUV ': {'iso639': ['fuv'], 'name': 'Nigerian Fulfulde'},
 'GAD ': {'iso639': ['gaa'], 'name': 'Ga'},
 'GAE ': {'iso639': ['gla'], 'name': 'Scottish Gaelic'},
 'GAG ': {'iso639': ['gag'], 'name': 'Gagauz'},
 'GAL ': {'iso639': ['glg'], 'name': 'Galician'},
 'GAR ': {'iso639': [], 'name': 'Garshuni'},
 'GAW ': {'iso639': ['gbm'], 'name': 'Garhwali'},
 'GEZ ': {'iso639': ['gez'], 'name': 'Geez'},
 'GIH ': {'iso639': ['gih'], 'name': 'Githabul'},
 'GIL ': {'iso639': ['niv'], 'name': 'Gilyak'},
 'GIL0': {'iso639': ['gil'], 'name': 'Kiribati (Gilbertese)'},
 'GKP ': {'iso639': ['gkp'], 'name': 'Kpelle (Guinea)'},
 'GLK ': {'iso639': ['glk'], 'name': 'Gilaki'},
 'GMZ ': {'iso639': ['guk'], 'name': 'Gumuz'},
 'GNN ': {'iso639': ['gnn'], 'name': 'Gumatj'},
 'GOG ': {'iso639': ['gog'], 'name': 'Gogo'},
 'GON ': {'iso639': ['gon'], 'name': 'Gondi'},
 'GRN ': {'iso639': ['kal'], 'name': 'Greenlandic'},
 'GRO ': {'iso639': ['grt'], 'name': 'Garo'},
 'GUA ': {'iso639': ['grn'], 'name': 'Guarani'},
 'GUC ': {'iso639': ['guc'], 'name': 'Wayuu'},
 'GUF ': {'iso639': ['guf'], 'name': 'Gupapuyngu'},
 'GUJ ': {'iso639': ['guj'], 'name': 'Gujarati'},
 'GUZ ': {'iso639': ['guz'], 'name': 'Gusii'},
 'HAI ': {'iso639': ['hat'], 'name': 'Haitian (Haitian Creole)'},
 'HAI0': {'iso639': ['hai', 'hax', 'hdn'], 'name': 'Haida'},
 'HAL ': {'iso639': ['cfm'], 'name': 'Halam (Falam Chin)'},
 'HAR ': {'iso639': ['hoj'], 'name': 'Harauti'},
 'HAU ': {'iso639': ['hau'], 'name': 'Hausa'},
 'HAW ': {'iso639': ['haw'], 'name': 'Hawaiian'},
 'HAY ': {'iso639': ['hay'], 'name': 'Haya'},
 'HAZ ': {'iso639': ['haz'], 'name': 'Hazaragi'},
 'HBN ': {'iso639': ['amf'], 'name': 'Hammer-Banna'},
 'HEI ': {'iso639': ['hei'], 'name': 'Heiltsuk'},
 'HER ': {'iso639': ['her'], 'name': 'Herero'},
 'HIL ': {'iso639': ['hil'], 'name': 'Hiligaynon'},
 'HIN ': {'iso639': ['hin'], 'name': 'Hindi'},
 'HMA ': {'iso639': ['mrj'], 'name': 'High Mari'},
 'HMD ': {'iso639': ['hmd'], 'name': 'A-Hmao'},
 'HMN ': {'iso639': ['hmn'], 'name': 'Hmong'},
 'HMO ': {'iso639': ['hmo'], 'name': 'Hiri Motu'},
 'HMZ ': {'iso639': ['hmz'], 'name': 'Hmong Shuat'},
 'HND ': {'iso639': ['hno', 'hnd'], 'name': 'Hindko'},
 'HO  ': {'iso639': ['hoc'], 'name': 'Ho'},
 'HRI ': {'iso639': ['har'], 'name': 'Harari'},
 'HRV ': {'iso639': ['hrv'], 'name': 'Croatian'},
 'HUN ': {'iso639': ['hun'], 'name': 'Hungarian'},
 'HUR ': {'iso639': ['hur'], 'name': 'Halkomelem'},
 'HYE ': {'iso639': ['hye', 'hyw'], 'name': 'Armenian'},
 'HYE0': {'iso639': ['hye'], 'name': 'Armenian East'},
 'IBA ': {'iso639': ['iba'], 'name': 'Iban'},
 'IBB ': {'iso639': ['ibb'], 'name': 'Ibibio'},
 'IBO ': {'iso639': ['ibo'], 'name': 'Igbo'},
 'IDO ': {'iso639': ['ido'], 'name': 'Ido'},
 'IJO ': {'iso639': ['iby',
                     'ijc',
                     'ije',
                     'ijn',
                     'ijo',
                     'ijs',
                     'nkx',
                     'okd',
                     'okr',
                     'orr'],
          'name': 'Ijo languages'},
 'ILE ': {'iso639': ['ile'], 'name': 'Interlingue'},
 'ILO ': {'iso639': ['ilo'], 'name': 'Ilokano'},
 'INA ': {'iso639': ['ina'], 'name': 'Interlingua'},
 'IND ': {'iso639': ['ind'], 'name': 'Indonesian'},
 'ING ': {'iso639': ['inh'], 'name': 'Ingush'},
 'INU ': {'iso639': ['iku'], 'name': 'Inuktitut'},
 'INUK': {'iso639': ['ike', 'iku'], 'name': 'Nunavik Inuktitut'},
 'IPK ': {'iso639': ['ipk'], 'name': 'Inupiat'},
 'IPPH': {'iso639': ['Cf. BCP 47 variant subtag “fonipa” (see '
                     'https://www.iana.org/assignments/lang-subtags-templates/fonipa.txt)'],
          'name': 'Phonetic transcription—IPA conventions'},
 'IRI ': {'iso639': ['gle'], 'name': 'Irish'},
 'IRT ': {'iso639': ['ghc', 'gle'], 'name': 'Irish Traditional'},
 'IRU ': {'iso639': ['iru'], 'name': 'Irula'},
 'ISL ': {'iso639': ['isl'], 'name': 'Icelandic'},
 'ISM ': {'iso639': ['smn'], 'name': 'Inari Sami'},
 'ITA ': {'iso639': ['ita'], 'name': 'Italian'},
 'IWR ': {'iso639': ['heb'], 'name': 'Hebrew'},
 'JAM ': {'iso639': ['jam'], 'name': 'Jamaican Creole'},
 'JAN ': {'iso639': ['jpn'], 'name': 'Japanese'},
 'JAV ': {'iso639': ['jav'], 'name': 'Javanese'},
 'JBO ': {'iso639': ['jbo'], 'name': 'Lojban'},
 'JCT ': {'iso639': ['jct'], 'name': 'Krymchak'},
 'JDT ': {'iso639': ['jdt'], 'name': 'Judeo-Tat'},
 'JII ': {'iso639': ['yid'], 'name': 'Yiddish'},
 'JUD ': {'iso639': ['lad'], 'name': 'Ladino'},
 'JUL ': {'iso639': ['dyu'], 'name': 'Jula'},
 'KAB ': {'iso639': ['kbd'], 'name': 'Kabardian'},
 'KAB0': {'iso639': ['kab'], 'name': 'Kabyle'},
 'KAC ': {'iso639': ['kfr'], 'name': 'Kachchi'},
 'KAL ': {'iso639': ['kln'], 'name': 'Kalenjin'},
 'KAN ': {'iso639': ['kan'], 'name': 'Kannada'},
 'KAR ': {'iso639': ['krc'], 'name': 'Karachay'},
 'KAT ': {'iso639': ['kat'], 'name': 'Georgian'},
 'KAW ': {'iso639': ['kaw'], 'name': 'Kawi (Old Javanese)'},
 'KAZ ': {'iso639': ['kaz'], 'name': 'Kazakh'},
 'KBC ': {'iso639': ['kbc'], 'name': 'Kadiwéu'},
 'KDE ': {'iso639': ['kde'], 'name': 'Makonde'},
 'KEA ': {'iso639': ['kea'], 'name': 'Kabuverdianu (Crioulo)'},
 'KEB ': {'iso639': ['ktb'], 'name': 'Kebena'},
 'KEK ': {'iso639': ['kek'], 'name': 'Kekchi'},
 'KGE ': {'iso639': ['kat'], 'name': 'Khutsuri Georgian'},
 'KGF ': {'iso639': ['kgf'], 'name': 'Kube'},
 'KHA ': {'iso639': ['kjh'], 'name': 'Khakass'},
 'KHK ': {'iso639': ['kca'], 'name': 'Khanty-Kazim'},
 'KHM ': {'iso639': ['khm'], 'name': 'Khmer'},
 'KHS ': {'iso639': ['kca'], 'name': 'Khanty-Shurishkar'},
 'KHT ': {'iso639': ['kht'], 'name': 'Khamti Shan'},
 'KHV ': {'iso639': ['kca'], 'name': 'Khanty-Vakhi'},
 'KHW ': {'iso639': ['khw'], 'name': 'Khowar'},
 'KIK ': {'iso639': ['kik'], 'name': 'Kikuyu (Gikuyu)'},
 'KIR ': {'iso639': ['kir'], 'name': 'Kirghiz (Kyrgyz)'},
 'KIS ': {'iso639': ['kqs', 'kss'], 'name': 'Kisii'},
 'KIU ': {'iso639': ['kiu'], 'name': 'Kirmanjki'},
 'KJD ': {'iso639': ['kjd'], 'name': 'Southern Kiwai'},
 'KJJ ': {'iso639': ['kjj'], 'name': 'Khinalug'},
 'KJP ': {'iso639': ['kjp'], 'name': 'Eastern Pwo Karen'},
 'KJZ ': {'iso639': ['kjz'], 'name': 'Bumthangkha'},
 'KKN ': {'iso639': ['kex'], 'name': 'Kokni'},
 'KLM ': {'iso639': ['xal'], 'name': 'Kalmyk'},
 'KMB ': {'iso639': ['kam'], 'name': 'Kamba'},
 'KMG ': {'iso639': ['kmg'], 'name': 'Kâte'},
 'KMN ': {'iso639': ['kfy'], 'name': 'Kumaoni'},
 'KMO ': {'iso639': ['kmw'], 'name': 'Komo'},
 'KMS ': {'iso639': ['kxc'], 'name': 'Komso'},
 'KMZ ': {'iso639': ['kmz'], 'name': 'Khorasani Turkic'},
 'KNR ': {'iso639': ['kau'], 'name': 'Kanuri'},
 'KOD ': {'iso639': ['kfa'], 'name': 'Kodagu'},
 'KOH ': {'iso639': ['kor', 'okm'], 'name': 'Korean Old Hangul'},
 'KOK ': {'iso639': ['kok'], 'name': 'Konkani'},
 'KOM ': {'iso639': ['kom'], 'name': 'Komi'},
 'KON ': {'iso639': ['ktu'], 'name': 'Kikongo'},
 'KON0': {'iso639': ['kon'], 'name': 'Kongo'},
 'KOP ': {'iso639': ['koi'], 'name': 'Komi-Permyak'},
 'KOR ': {'iso639': ['kor'], 'name': 'Korean'},
 'KOS ': {'iso639': ['kos'], 'name': 'Kosraean'},
 'KOZ ': {'iso639': ['kpv'], 'name': 'Komi-Zyrian'},
 'KPL ': {'iso639': ['kpe'], 'name': 'Kpelle'},
 'KRI ': {'iso639': ['kri'], 'name': 'Krio'},
 'KRK ': {'iso639': ['kaa'], 'name': 'Karakalpak'},
 'KRL ': {'iso639': ['krl'], 'name': 'Karelian'},
 'KRM ': {'iso639': ['kdr'], 'name': 'Karaim'},
 'KRN ': {'iso639': ['blk',
                     'bwe',
                     'eky',
                     'ghk',
                     'jkm',
                     'jkp',
                     'kar',
                     'kjp',
                     'kjt',
                     'ksw',
                     'kvl',
                     'kvq',
                     'kvt',
                     'kvu',
                     'kvy',
                     'kxf',
                     'kxk',
                     'kyu',
                     'pdu',
                     'pwo',
                     'pww',
                     'wea'],
          'name': 'Karen'},
 'KRT ': {'iso639': ['kqy'], 'name': 'Koorete'},
 'KSH ': {'iso639': ['kas'], 'name': 'Kashmiri'},
 'KSH0': {'iso639': ['ksh'], 'name': 'Ripuarian'},
 'KSI ': {'iso639': ['kha'], 'name': 'Khasi'},
 'KSM ': {'iso639': ['sjd'], 'name': 'Kildin Sami'},
 'KSU ': {'iso639': ['ksu'], 'name': 'Khamyang'},
 'KSW ': {'iso639': ['ksw'], 'name': 'S’gaw Karen'},
 'KUA ': {'iso639': ['kua'], 'name': 'Kuanyama'},
 'KUI ': {'iso639': ['kxu'], 'name': 'Kui'},
 'KUL ': {'iso639': ['kfx'], 'name': 'Kulvi'},
 'KUM ': {'iso639': ['kum'], 'name': 'Kumyk'},
 'KUR ': {'iso639': ['kur'], 'name': 'Kurdish'},
 'KUU ': {'iso639': ['kru'], 'name': 'Kurukh'},
 'KUY ': {'iso639': ['kdt'], 'name': 'Kuy'},
 'KVQ ': {'iso639': ['kvq'], 'name': 'Geba Karen'},
 'KWK ': {'iso639': ['kwk'], 'name': 'Kwakʼwala'},
 'KYK ': {'iso639': ['kpy'], 'name': 'Koryak'},
 'KYU ': {'iso639': ['kyu'], 'name': 'Western Kayah'},
 'LAD ': {'iso639': ['lld'], 'name': 'Ladin'},
 'LAH ': {'iso639': ['bfu'], 'name': 'Lahuli'},
 'LAK ': {'iso639': ['lbe'], 'name': 'Lak'},
 'LAM ': {'iso639': ['lmn'], 'name': 'Lambani'},
 'LAO ': {'iso639': ['lao'], 'name': 'Lao'},
 'LAT ': {'iso639': ['lat'], 'name': 'Latin'},
 'LAZ ': {'iso639': ['lzz'], 'name': 'Laz'},
 'LCR ': {'iso639': ['crm'], 'name': 'L-Cree'},
 'LDK ': {'iso639': ['lbj'], 'name': 'Ladakhi'},
 'LEF ': {'iso639': ['lef'], 'name': 'Lelemi'},
 'LEZ ': {'iso639': ['lez'], 'name': 'Lezgi'},
 'LIJ ': {'iso639': ['lij'], 'name': 'Ligurian'},
 'LIM ': {'iso639': ['lim'], 'name': 'Limburgish'},
 'LIN ': {'iso639': ['lin'], 'name': 'Lingala'},
 'LIS ': {'iso639': ['lis'], 'name': 'Lisu'},
 'LIV ': {'iso639': ['liv'], 'name': 'Liv'},
 'LJP ': {'iso639': ['ljp'], 'name': 'Lampung'},
 'LKI ': {'iso639': ['lki'], 'name': 'Laki'},
 'LMA ': {'iso639': ['mhr'], 'name': 'Low Mari'},
 'LMB ': {'iso639': ['lif'], 'name': 'Limbu'},
 'LMO ': {'iso639': ['lmo'], 'name': 'Lombard'},
 'LMW ': {'iso639': ['ngl'], 'name': 'Lomwe'},
 'LOM ': {'iso639': ['lom'], 'name': 'Loma'},
 'LPO ': {'iso639': ['lpo'], 'name': 'Lipo'},
 'LRC ': {'iso639': ['lrc', 'luz', 'bqi', 'zum'], 'name': 'Luri'},
 'LSB ': {'iso639': ['dsb'], 'name': 'Lower Sorbian'},
 'LSM ': {'iso639': ['smj'], 'name': 'Lule Sami'},
 'LTH ': {'iso639': ['lit'], 'name': 'Lithuanian'},
 'LTZ ': {'iso639': ['ltz'], 'name': 'Luxembourgish'},
 'LUA ': {'iso639': ['lua'], 'name': 'Luba-Lulua'},
 'LUB ': {'iso639': ['lub'], 'name': 'Luba-Katanga'},
 'LUG ': {'iso639': ['lug'], 'name': 'Ganda'},
 'LUH ': {'iso639': ['luy'], 'name': 'Luyia'},
 'LUO ': {'iso639': ['luo'], 'name': 'Luo'},
 'LUT ': {'iso639': ['lut'], 'name': 'Lushootseed'},
 'LVI ': {'iso639': ['lav'], 'name': 'Latvian'},
 'MAD ': {'iso639': ['mad'], 'name': 'Madura'},
 'MAG ': {'iso639': ['mag'], 'name': 'Magahi'},
 'MAH ': {'iso639': ['mah'], 'name': 'Marshallese'},
 'MAJ ': {'iso639': ['mpe'], 'name': 'Majang'},
 'MAK ': {'iso639': ['vmw'], 'name': 'Makhuwa'},
 'MAL ': {'iso639': ['mal'], 'name': 'Malayalam'},
 'MAM ': {'iso639': ['mam'], 'name': 'Mam'},
 'MAN ': {'iso639': ['mns'], 'name': 'Mansi'},
 'MAP ': {'iso639': ['arn'], 'name': 'Mapudungun'},
 'MAR ': {'iso639': ['mar'], 'name': 'Marathi'},
 'MAW ': {'iso639': ['mwr', 'dhd', 'rwr', 'mve', 'wry', 'mtr', 'swv'],
          'name': 'Marwari'},
 'MBN ': {'iso639': ['kmb'], 'name': 'Mbundu'},
 'MBO ': {'iso639': ['mbo'], 'name': 'Mbo'},
 'MCH ': {'iso639': ['mnc'], 'name': 'Manchu'},
 'MCR ': {'iso639': ['crm'], 'name': 'Moose Cree'},
 'MDE ': {'iso639': ['men'], 'name': 'Mende'},
 'MDR ': {'iso639': ['mdr'], 'name': 'Mandar'},
 'MEN ': {'iso639': ['mym'], 'name': 'Me’en'},
 'MER ': {'iso639': ['mer'], 'name': 'Meru'},
 'MEV ': {'iso639': ['mev'], 'name': 'Mano'},
 'MFA ': {'iso639': ['mfa'], 'name': 'Pattani Malay'},
 'MFE ': {'iso639': ['mfe'], 'name': 'Morisyen'},
 'MIN ': {'iso639': ['min'], 'name': 'Minangkabau'},
 'MIZ ': {'iso639': ['lus'], 'name': 'Mizo'},
 'MKD ': {'iso639': ['mkd'], 'name': 'Macedonian'},
 'MKR ': {'iso639': ['mak'], 'name': 'Makasar'},
 'MKW ': {'iso639': ['mkw'], 'name': 'Kituba'},
 'MLE ': {'iso639': ['mdy'], 'name': 'Male'},
 'MLG ': {'iso639': ['mlg'], 'name': 'Malagasy'},
 'MLN ': {'iso639': ['mlq'], 'name': 'Malinke'},
 'MLR ': {'iso639': ['mal'], 'name': 'Malayalam Reformed'},
 'MLY ': {'iso639': ['msa'], 'name': 'Malay'},
 'MND ': {'iso639': ['mnk'], 'name': 'Mandinka'},
 'MNG ': {'iso639': ['mon'], 'name': 'Mongolian'},
 'MNI ': {'iso639': ['mni'], 'name': 'Manipuri'},
 'MNK ': {'iso639': ['man', 'mnk', 'myq', 'mku', 'msc', 'emk', 'mwk', 'mlq'],
          'name': 'Maninka'},
 'MNX ': {'iso639': ['glv'], 'name': 'Manx'},
 'MOH ': {'iso639': ['moh'], 'name': 'Mohawk'},
 'MOK ': {'iso639': ['mdf'], 'name': 'Moksha'},
 'MOL ': {'iso639': ['mol'], 'name': 'Moldavian'},
 'MON ': {'iso639': ['mnw'], 'name': 'Mon'},
 'MONT': {'iso639': ['mnw'], 'name': 'Thailand Mon'},
 'MOR ': {'iso639': [], 'name': 'Moroccan'},
 'MOS ': {'iso639': ['mos'], 'name': 'Mossi'},
 'MRI ': {'iso639': ['mri'], 'name': 'Maori'},
 'MTH ': {'iso639': ['mai'], 'name': 'Maithili'},
 'MTS ': {'iso639': ['mlt'], 'name': 'Maltese'},
 'MUN ': {'iso639': ['unr'], 'name': 'Mundari'},
 'MUS ': {'iso639': ['mus'], 'name': 'Muscogee'},
 'MWL ': {'iso639': ['mwl'], 'name': 'Mirandese'},
 'MWW ': {'iso639': ['mww'], 'name': 'Hmong Daw'},
 'MYN ': {'iso639': ['acr',
                     'agu',
                     'caa',
                     'cac',
                     'cak',
                     'chf',
                     'ckz',
                     'cob',
                     'ctu',
                     'emy',
                     'hus',
                     'itz',
                     'ixl',
                     'jac',
                     'kek',
                     'kjb',
                     'knj',
                     'lac',
                     'mam',
                     'mhc',
                     'mop',
                     'myn',
                     'poc',
                     'poh',
                     'quc',
                     'qum',
                     'quv',
                     'toj',
                     'ttc',
                     'tzh',
                     'tzj',
                     'tzo',
                     'usp',
                     'yua'],
          'name': 'Mayan'},
 'MZN ': {'iso639': ['mzn'], 'name': 'Mazanderani'},
 'NAG ': {'iso639': ['nag'], 'name': 'Naga-Assamese'},
 'NAH ': {'iso639': ['azd',
                     'azn',
                     'azz',
                     'nah',
                     'naz',
                     'nch',
                     'nci',
                     'ncj',
                     'ncl',
                     'ncx',
                     'ngu',
                     'nhc',
                     'nhe',
                     'nhg',
                     'nhi',
                     'nhk',
                     'nhm',
                     'nhn',
                     'nhp',
                     'nhq',
                     'nht',
                     'nhv',
                     'nhw',
                     'nhx',
                     'nhy',
                     'nhz',
                     'nlv',
                     'npl',
                     'nsu',
                     'nuz'],
          'name': 'Nahuatl'},
 'NAN ': {'iso639': ['gld'], 'name': 'Nanai'},
 'NAP ': {'iso639': ['nap'], 'name': 'Neapolitan'},
 'NAS ': {'iso639': ['nsk'], 'name': 'Naskapi'},
 'NAU ': {'iso639': ['nau'], 'name': 'Nauruan'},
 'NAV ': {'iso639': ['nav'], 'name': 'Navajo'},
 'NCR ': {'iso639': ['csw'], 'name': 'N-Cree'},
 'NDB ': {'iso639': ['nbl', 'nde'], 'name': 'Ndebele'},
 'NDC ': {'iso639': ['ndc'], 'name': 'Ndau'},
 'NDG ': {'iso639': ['ndo'], 'name': 'Ndonga'},
 'NDS ': {'iso639': ['nds'], 'name': 'Low Saxon'},
 'NEP ': {'iso639': ['nep'], 'name': 'Nepali'},
 'NEW ': {'iso639': ['new'], 'name': 'Newari'},
 'NGA ': {'iso639': ['nga'], 'name': 'Ngbaka'},
 'NGR ': {'iso639': [], 'name': 'Nagari'},
 'NHC ': {'iso639': ['csw'], 'name': 'Norway House Cree'},
 'NIS ': {'iso639': ['dap', 'njz', 'tgj'], 'name': 'Nisi'},
 'NIU ': {'iso639': ['niu'], 'name': 'Niuean'},
 'NKL ': {'iso639': ['nyn'], 'name': 'Nyankole'},
 'NKO ': {'iso639': ['nqo'], 'name': 'N’Ko'},
 'NLD ': {'iso639': ['nld'], 'name': 'Dutch'},
 'NOE ': {'iso639': ['noe'], 'name': 'Nimadi'},
 'NOG ': {'iso639': ['nog'], 'name': 'Nogai'},
 'NOP ': {'iso639': ['nop'], 'name': 'Numanggang'},
 'NOR ': {'iso639': ['nob'], 'name': 'Norwegian'},
 'NOV ': {'iso639': ['nov'], 'name': 'Novial'},
 'NSM ': {'iso639': ['sme'], 'name': 'Northern Sami'},
 'NSO ': {'iso639': ['nso'], 'name': 'Northern Sotho'},
 'NTA ': {'iso639': ['nod'], 'name': 'Northern Tai'},
 'NTO ': {'iso639': ['epo'], 'name': 'Esperanto'},
 'NUK ': {'iso639': ['nuk'], 'name': 'Nuu-chah-nulth'},
 'NYM ': {'iso639': ['nym'], 'name': 'Nyamwezi'},
 'NYN ': {'iso639': ['nno'], 'name': 'Norwegian Nynorsk (Nynorsk, Norwegian)'},
 'NZA ': {'iso639': ['nza'], 'name': 'Mbembe Tigon'},
 'OCI ': {'iso639': ['oci'], 'name': 'Occitan'},
 'OCR ': {'iso639': ['ojs'], 'name': 'Oji-Cree'},
 'OJB ': {'iso639': ['oji'], 'name': 'Ojibway'},
 'ONE ': {'iso639': ['one'], 'name': 'Oneida'},
 'ONO ': {'iso639': ['ono'], 'name': 'Onondaga'},
 'ORI ': {'iso639': ['ori'], 'name': 'Odia'},
 'ORO ': {'iso639': ['orm'], 'name': 'Oromo'},
 'OSS ': {'iso639': ['oss'], 'name': 'Ossetian'},
 'PAA ': {'iso639': ['sam'], 'name': 'Palestinian Aramaic'},
 'PAG ': {'iso639': ['pag'], 'name': 'Pangasinan'},
 'PAL ': {'iso639': ['pli'], 'name': 'Pali'},
 'PAM ': {'iso639': ['pam'], 'name': 'Pampangan'},
 'PAN ': {'iso639': ['pan'], 'name': 'Punjabi'},
 'PAP ': {'iso639': ['plp'], 'name': 'Palpa'},
 'PAP0': {'iso639': ['pap'], 'name': 'Papiamentu'},
 'PAS ': {'iso639': ['pus'], 'name': 'Pashto'},
 'PAU ': {'iso639': ['pau'], 'name': 'Palauan'},
 'PCC ': {'iso639': ['pcc'], 'name': 'Bouyei'},
 'PCD ': {'iso639': ['pcd'], 'name': 'Picard'},
 'PDC ': {'iso639': ['pdc'], 'name': 'Pennsylvania German'},
 'PGR ': {'iso639': ['ell'], 'name': 'Polytonic Greek'},
 'PHK ': {'iso639': ['phk'], 'name': 'Phake'},
 'PIH ': {'iso639': ['pih'], 'name': 'Norfolk'},
 'PIL ': {'iso639': ['fil'], 'name': 'Filipino'},
 'PLG ': {'iso639': ['pce', 'rbb', 'pll'], 'name': 'Palaung'},
 'PLG0': {'iso639': ['plg'], 'name': 'Pilagá'},
 'PLK ': {'iso639': ['pol'], 'name': 'Polish'},
 'PMS ': {'iso639': ['pms'], 'name': 'Piemontese'},
 'PNB ': {'iso639': ['pnb'], 'name': 'Western Panjabi'},
 'POH ': {'iso639': ['poh'], 'name': 'Pocomchi'},
 'PON ': {'iso639': ['pon'], 'name': 'Pohnpeian'},
 'PRO ': {'iso639': ['pro'], 'name': 'Provençal / Old Provençal'},
 'PTG ': {'iso639': ['por'], 'name': 'Portuguese'},
 'PWO ': {'iso639': ['pwo'], 'name': 'Western Pwo Karen'},
 'QIN ': {'iso639': ['bgr',
                     'biu',
                     'cek',
                     'cey',
                     'cfm',
                     'cbl',
                     'cka',
                     'ckn',
                     'clj',
                     'clt',
                     'cmr',
                     'cnb',
                     'cnh',
                     'cnk',
                     'cnw',
                     'csh',
                     'csj',
                     'csv',
                     'csy',
                     'ctd',
                     'cth',
                     'czt',
                     'dao',
                     'gnb',
                     'hlt',
                     'hmr',
                     'hra',
                     'lus',
                     'mrh',
                     'mwq',
                     'pck',
                     'pkh',
                     'pub',
                     'ral',
                     'rtc',
                     'sch',
                     'sez',
                     'shl',
                     'smt',
                     'tcp',
                     'tcz',
                     'vap',
                     'weu',
                     'zom',
                     'zyp'],
          'name': 'Chin'},
 'QUC ': {'iso639': ['quc'], 'name': 'K’iche’'},
 'QUH ': {'iso639': ['quh'], 'name': 'Quechua (Bolivia)'},
 'QUZ ': {'iso639': ['quz'], 'name': 'Quechua'},
 'QVI ': {'iso639': ['qvi'], 'name': 'Quechua (Ecuador)'},
 'QWH ': {'iso639': ['qwh'], 'name': 'Quechua (Peru)'},
 'RAJ ': {'iso639': ['raj'], 'name': 'Rajasthani'},
 'RAR ': {'iso639': ['rar'], 'name': 'Rarotongan'},
 'RBU ': {'iso639': ['bxr'], 'name': 'Russian Buriat'},
 'RCR ': {'iso639': ['atj'], 'name': 'R-Cree'},
 'REJ ': {'iso639': ['rej'], 'name': 'Rejang'},
 'RHG ': {'iso639': ['rhg'], 'name': 'Rohingya'},
 'RIA ': {'iso639': ['ria'], 'name': 'Riang'},
 'RIF ': {'iso639': ['rif'], 'name': 'Tarifit'},
 'RIT ': {'iso639': ['rit'], 'name': 'Ritarungo'},
 'RKW ': {'iso639': ['rkw'], 'name': 'Arakwal'},
 'RMS ': {'iso639': ['roh'], 'name': 'Romansh'},
 'RMY ': {'iso639': ['rmy'], 'name': 'Vlax Romani'},
 'ROM ': {'iso639': ['ron'], 'name': 'Romanian'},
 'ROY ': {'iso639': ['rom'], 'name': 'Romany'},
 'RSY ': {'iso639': ['rue'], 'name': 'Rusyn'},
 'RTM ': {'iso639': ['rtm'], 'name': 'Rotuman'},
 'RUA ': {'iso639': ['kin'], 'name': 'Kinyarwanda'},
 'RUN ': {'iso639': ['run'], 'name': 'Rundi'},
 'RUP ': {'iso639': ['rup'], 'name': 'Aromanian'},
 'RUS ': {'iso639': ['rus'], 'name': 'Russian'},
 'SAD ': {'iso639': ['sck'], 'name': 'Sadri'},
 'SAN ': {'iso639': ['san'], 'name': 'Sanskrit'},
 'SAS ': {'iso639': ['sas'], 'name': 'Sasak'},
 'SAT ': {'iso639': ['sat'], 'name': 'Santali'},
 'SAY ': {'iso639': ['chp'], 'name': 'Sayisi'},
 'SCN ': {'iso639': ['scn'], 'name': 'Sicilian'},
 'SCO ': {'iso639': ['sco'], 'name': 'Scots'},
 'SCS ': {'iso639': ['scs'], 'name': 'North Slavey'},
 'SEE ': {'iso639': ['see'], 'name': 'Seneca'},
 'SEK ': {'iso639': ['xan'], 'name': 'Sekota'},
 'SEL ': {'iso639': ['sel'], 'name': 'Selkup'},
 'SFM ': {'iso639': ['sfm'], 'name': 'Small Flowery Miao'},
 'SGA ': {'iso639': ['mga', 'sga'], 'name': 'Old Irish'},
 'SGO ': {'iso639': ['sag'], 'name': 'Sango'},
 'SGS ': {'iso639': ['sgs'], 'name': 'Samogitian'},
 'SHI ': {'iso639': ['shi'], 'name': 'Tachelhit'},
 'SHN ': {'iso639': ['shn'], 'name': 'Shan'},
 'SIB ': {'iso639': ['sjo'], 'name': 'Sibe'},
 'SID ': {'iso639': ['sid'], 'name': 'Sidamo'},
 'SIG ': {'iso639': ['xst', 'stv', 'wle'], 'name': 'Silte Gurage'},
 'SJA ': {'iso639': ['sja'], 'name': 'Epena'},
 'SJE ': {'iso639': ['sje'], 'name': 'Pite Sami'},
 'SJU ': {'iso639': ['sju'], 'name': 'Ume Sami'},
 'SKS ': {'iso639': ['sms'], 'name': 'Skolt Sami'},
 'SKY ': {'iso639': ['slk'], 'name': 'Slovak'},
 'SLA ': {'iso639': ['den', 'scs', 'xsl'], 'name': 'Slavey'},
 'SLV ': {'iso639': ['slv'], 'name': 'Slovenian'},
 'SML ': {'iso639': ['som'], 'name': 'Somali'},
 'SMO ': {'iso639': ['smo'], 'name': 'Samoan'},
 'SNA ': {'iso639': ['seh'], 'name': 'Sena'},
 'SNA0': {'iso639': ['sna'], 'name': 'Shona'},
 'SND ': {'iso639': ['snd'], 'name': 'Sindhi'},
 'SNH ': {'iso639': ['sin'], 'name': 'Sinhala (Sinhalese)'},
 'SNK ': {'iso639': ['snk'], 'name': 'Soninke'},
 'SOG ': {'iso639': ['gru'], 'name': 'Sodo Gurage'},
 'SOP ': {'iso639': ['sop'], 'name': 'Songe'},
 'SOT ': {'iso639': ['sot'], 'name': 'Southern Sotho'},
 'SQI ': {'iso639': ['sqi'], 'name': 'Albanian'},
 'SRB ': {'iso639': ['cnr', 'srp'], 'name': 'Serbian'},
 'SRD ': {'iso639': ['srd'], 'name': 'Sardinian'},
 'SRK ': {'iso639': ['skr'], 'name': 'Saraiki'},
 'SRR ': {'iso639': ['srr'], 'name': 'Serer'},
 'SSL ': {'iso639': ['xsl'], 'name': 'South Slavey'},
 'SSM ': {'iso639': ['sma'], 'name': 'Southern Sami'},
 'STQ ': {'iso639': ['stq'], 'name': 'Saterland Frisian'},
 'STR ': {'iso639': ['str'], 'name': 'Straits Salish'},
 'SUK ': {'iso639': ['suk'], 'name': 'Sukuma'},
 'SUN ': {'iso639': ['sun'], 'name': 'Sundanese'},
 'SUR ': {'iso639': ['suq'], 'name': 'Suri'},
 'SVA ': {'iso639': ['sva'], 'name': 'Svan'},
 'SVE ': {'iso639': ['swe'], 'name': 'Swedish'},
 'SWA ': {'iso639': ['aii'], 'name': 'Swadaya Aramaic'},
 'SWK ': {'iso639': ['swa'], 'name': 'Swahili'},
 'SWZ ': {'iso639': ['ssw'], 'name': 'Swati'},
 'SXT ': {'iso639': ['ngo', 'xnj', 'xnq'], 'name': 'Sutu'},
 'SXU ': {'iso639': ['sxu'], 'name': 'Upper Saxon'},
 'SYL ': {'iso639': ['syl'], 'name': 'Sylheti'},
 'SYR ': {'iso639': ['aii', 'amw', 'cld', 'syc', 'syr', 'tru'],
          'name': 'Syriac'},
 'SYRE': {'iso639': ['syc', 'syr'],
          'name': 'Syriac, Estrangela script-variant (equivalent to ISO 15924 '
                  "'Syre')"},
 'SYRJ': {'iso639': ['syc', 'syr'],
          'name': 'Syriac, Western script-variant (equivalent to ISO 15924 '
                  "'Syrj')"},
 'SYRN': {'iso639': ['syc', 'syr'],
          'name': 'Syriac, Eastern script-variant (equivalent to ISO 15924 '
                  "'Syrn')"},
 'SZL ': {'iso639': ['szl'], 'name': 'Silesian'},
 'TAB ': {'iso639': ['tab'], 'name': 'Tabasaran'},
 'TAJ ': {'iso639': ['tgk'], 'name': 'Tajiki'},
 'TAM ': {'iso639': ['tam'], 'name': 'Tamil'},
 'TAQ ': {'iso639': ['taq'], 'name': 'Tamasheq'},
 'TAT ': {'iso639': ['tat'], 'name': 'Tatar'},
 'TBV ': {'iso639': ['tbv'], 'name': 'Tobo'},
 'TCR ': {'iso639': ['cwd'], 'name': 'TH-Cree'},
 'TDC ': {'iso639': ['tdc'], 'name': 'Emberá-Tadó'},
 'TDD ': {'iso639': ['tdd'], 'name': 'Dehong Dai'},
 'TEL ': {'iso639': ['tel'], 'name': 'Telugu'},
 'TET ': {'iso639': ['tet'], 'name': 'Tetum'},
 'TGL ': {'iso639': ['tgl'], 'name': 'Tagalog'},
 'TGN ': {'iso639': ['ton'], 'name': 'Tongan'},
 'TGR ': {'iso639': ['tig'], 'name': 'Tigre'},
 'TGY ': {'iso639': ['tir'], 'name': 'Tigrinya'},
 'THA ': {'iso639': ['tha'], 'name': 'Thai'},
 'THP ': {'iso639': ['thp'], 'name': 'Thompson'},
 'THT ': {'iso639': ['tah'], 'name': 'Tahitian'},
 'THV ': {'iso639': ['thv'], 'name': 'Tahaggart Tamahaq'},
 'THZ ': {'iso639': ['thz'], 'name': 'Tayart Tamajeq'},
 'TIB ': {'iso639': ['bod'], 'name': 'Tibetan'},
 'TIV ': {'iso639': ['tiv'], 'name': 'Tiv'},
 'TJL ': {'iso639': ['tjl'], 'name': 'Tai Laing'},
 'TKM ': {'iso639': ['tuk'], 'name': 'Turkmen'},
 'TLI ': {'iso639': ['tli'], 'name': 'Tlingit'},
 'TLY ': {'iso639': ['tly'], 'name': 'Talysh'},
 'TMH ': {'iso639': ['taq', 'thv', 'thz', 'tmh', 'ttq'], 'name': 'Tamashek'},
 'TMN ': {'iso639': ['tem'], 'name': 'Temne'},
 'TNA ': {'iso639': ['tsn'], 'name': 'Tswana'},
 'TNE ': {'iso639': ['enh'], 'name': 'Tundra Enets'},
 'TNG ': {'iso639': ['toi'], 'name': 'Tonga'},
 'TOD ': {'iso639': ['xal'], 'name': 'Todo'},
 'TOD0': {'iso639': ['tod'], 'name': 'Toma'},
 'TPI ': {'iso639': ['tpi'], 'name': 'Tok Pisin'},
 'TRK ': {'iso639': ['tur'], 'name': 'Turkish'},
 'TSG ': {'iso639': ['tso'], 'name': 'Tsonga'},
 'TSJ ': {'iso639': ['tsj'], 'name': 'Tshangla'},
 'TTQ ': {'iso639': ['ttq'], 'name': 'Tawallammat Tamajaq'},
 'TUA ': {'iso639': ['tru'], 'name': 'Turoyo Aramaic'},
 'TUL ': {'iso639': ['tcy'], 'name': 'Tulu'},
 'TUM ': {'iso639': ['tum'], 'name': 'Tumbuka'},
 'TUS ': {'iso639': ['tus'], 'name': 'Tuscarora'},
 'TUV ': {'iso639': ['tyv'], 'name': 'Tuvin'},
 'TVL ': {'iso639': ['tvl'], 'name': 'Tuvalu'},
 'TWI ': {'iso639': ['twi'], 'name': 'Twi'},
 'TYZ ': {'iso639': ['tyz'], 'name': 'Tày'},
 'TZM ': {'iso639': ['tzm'], 'name': 'Tamazight'},
 'TZO ': {'iso639': ['tzo'], 'name': 'Tzotzil'},
 'UDI ': {'iso639': ['udi'], 'name': 'Udi'},
 'UDM ': {'iso639': ['udm'], 'name': 'Udmurt'},
 'UKR ': {'iso639': ['ukr'], 'name': 'Ukrainian'},
 'UMB ': {'iso639': ['umb'], 'name': 'Umbundu'},
 'UPPH': {'iso639': ['Cf. BCP 47 variant subtag “fonupa” (see '
                     'https://www.iana.org/assignments/lang-subtags-templates/fonupa.txt)'],
          'name': 'Uralic Phonetic Alphabet'},
 'URD ': {'iso639': ['urd'], 'name': 'Urdu'},
 'USB ': {'iso639': ['hsb'], 'name': 'Upper Sorbian'},
 'UYG ': {'iso639': ['uig'], 'name': 'Uyghur'},
 'UZB ': {'iso639': ['uzb'], 'name': 'Uzbek'},
 'VEC ': {'iso639': ['vec'], 'name': 'Venetian'},
 'VEN ': {'iso639': ['ven'], 'name': 'Venda'},
 'VIT ': {'iso639': ['vie'], 'name': 'Vietnamese'},
 'VOL ': {'iso639': ['vol'], 'name': 'Volapük'},
 'VRO ': {'iso639': ['vro'], 'name': 'Võro'},
 'WA  ': {'iso639': ['wbm'], 'name': 'Wa'},
 'WAG ': {'iso639': ['wbr'], 'name': 'Wagdi'},
 'WAR ': {'iso639': ['war'], 'name': 'Waray-Waray'},
 'WBL ': {'iso639': ['wbl'], 'name': 'Wakhi'},
 'WCI ': {'iso639': ['wci'], 'name': 'Waci Gbe'},
 'WCR ': {'iso639': ['crk'], 'name': 'West-Cree'},
 'WDT ': {'iso639': ['wdt'], 'name': 'Wendat'},
 'WEL ': {'iso639': ['cym'], 'name': 'Welsh'},
 'WLF ': {'iso639': ['wol'], 'name': 'Wolof'},
 'WLN ': {'iso639': ['wln'], 'name': 'Walloon'},
 'WTM ': {'iso639': ['wtm'], 'name': 'Mewati'},
 'WYN ': {'iso639': ['wyn'], 'name': 'Wyandot'},
 'XBD ': {'iso639': ['khb'], 'name': 'Lü'},
 'XHS ': {'iso639': ['xho'], 'name': 'Xhosa'},
 'XJB ': {'iso639': ['xjb'], 'name': 'Minjangbal'},
 'XKF ': {'iso639': ['xkf'], 'name': 'Khengkha'},
 'XOG ': {'iso639': ['xog'], 'name': 'Soga'},
 'XPE ': {'iso639': ['xpe'], 'name': 'Kpelle (Liberia)'},
 'XUB ': {'iso639': ['xub'], 'name': 'Bette Kuruma'},
 'XUJ ': {'iso639': ['xuj'], 'name': 'Jennu Kuruma'},
 'YAK ': {'iso639': ['sah'], 'name': 'Sakha'},
 'YAO ': {'iso639': ['yao'], 'name': 'Yao'},
 'YAP ': {'iso639': ['yap'], 'name': 'Yapese'},
 'YBA ': {'iso639': ['yor'], 'name': 'Yoruba'},
 'YCR ': {'iso639': ['crj', 'crk', 'crl'], 'name': 'Y-Cree'},
 'YGP ': {'iso639': ['ygp'], 'name': 'Gepo'},
 'YIC ': {'iso639': [], 'name': 'Yi Classic'},
 'YIM ': {'iso639': ['iii'], 'name': 'Yi Modern'},
 'YNA ': {'iso639': ['yna'], 'name': 'Aluo'},
 'YUF ': {'iso639': ['yuf'], 'name': 'Havasupai-Walapai-Yavapai'},
 'YWQ ': {'iso639': ['ywq'], 'name': 'Wuding-Luquan Yi'},
 'ZEA ': {'iso639': ['zea'], 'name': 'Zealandic'},
 'ZGH ': {'iso639': ['zgh'], 'name': 'Standard Moroccan Tamazight'},
 'ZHA ': {'iso639': ['zha'], 'name': 'Zhuang'},
 'ZHH ': {'iso639': ['zho'], 'name': 'Chinese, Traditional, Hong Kong SAR'},
 'ZHP ': {'iso639': ['zho'], 'name': 'Chinese, Phonetic'},
 'ZHS ': {'iso639': ['zho'], 'name': 'Chinese, Simplified'},
 'ZHT ': {'iso639': ['zho'], 'name': 'Chinese, Traditional'},
 'ZHTM': {'iso639': ['zho'], 'name': 'Chinese, Traditional, Macao SAR'},
 'ZND ': {'iso639': ['zne'], 'name': 'Zande'},
 'ZUL ': {'iso639': ['zul'], 'name': 'Zulu'},
 'ZZA ': {'iso639': ['zza'], 'name': 'Zazaki'}}
